Refactoring: Use Group.visible instead of manual visibility check in GroupsController
2023-01-02 19:17 - Holger Just

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Groups Estimated time: 0.00 hour
Target version: 5.0.5

Description

The following patch adapts the find_group behavior in the GroupsController to directly rely on the Principal.visible scope rather than a
manual check. The visible behavior should not change at all, the check is just at a more explicit area and thus is a little less likely to
be forgotten with future changes.

diff --git a/app/controllers/groups_controller.rb b/app/controllers/groups_controller.rb
index 69dd0d5920..a88c06391e 100644
—-—— a/app/controllers/groups_controller.rb
+++ b/app/controllers/groups_controller.rb
@@ -50,8 +50,6 @@ def index
end

def show
= return render_404 unless (@group.visible?

respond_to do |format|
format.html do
render :layout => 'base'
@@ -149,7 +147,7 @Q def autocomplete_for_user
private

def find_group
= @Qgroup = Group.find(params[:id])

+ @group = Group.visible.find(params[:1id])
rescue ActiveRecord::RecordNotFound
render_404
end

Related issues:
Related to Redmine - Feature #12795: View group members by non-admin users Closed

Associated revisions

Revision 22023 - 2023-01-04 02:05 - Go MAEDA

Use Group.visible instead of manual visibility check in GroupsController (#38144).

Patch by Holger Just.

Revision 22024 - 2023-01-05 13:51 - Go MAEDA
Merged r22023 from trunk to 5.0-stable (#38144).

History

#1 - 2023-01-02 19:17 - Holger Just

- Related to Feature #12795: View group members by non-admin users added

#2 - 2023-01-03 06:05 - Go MAEDA

- Target version set to 5.0.5

Setting the target version to 5.0.5.

#3 - 2023-01-04 02:05 - Go MAEDA

2025-05-17 1/2




- Status changed from New to Resolved

- Assignee set to Go MAEDA

Committed the fix. Thank you.

#4 - 2023-01-05 13:51 - Go MAEDA
- Status changed from Resolved to Closed
